Bug 67894 - mke2fs fails when specifying inodes and size
mke2fs fails when specifying inodes and size
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2002-07-03 17:13 EDT by Bruce
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-08 09:46:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bruce 2002-07-03 17:13:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
mke2fs allocates an incorrect number of inodes and size for some partition 
sizes and requested number of inodes

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Make a mount partition: mkdir /mnt_rd
2.Create the device of the required size: dd if=/dev/zero of=/root/initrd 
bs=<size> count=1
3.Create the file:mke2fs -N 20000 -F -m0 /root/initrd
4.Mount the file:mount -t ext2 -o loop initrd /mnt_rd
5.Observe device status:e2fsck /dev/loop0
6. Unmount the file:unmount /mnt_rd

This sequence fails for <size> of 16000k and 17000k but works for 18000k.

Actual Results:  For 16000k, e2fsck shows incorrect inodes (16384 files) and 
correct size (16000 blocks).
For 17000k, e2fsck shows incorrect inodes (16384 files) and incorrect size 
(16385 blocks).
For 18000k, e2fsck shows almost correct inodes (20016 files) and correct size 
(18000 blocks).

Expected Results:  I expected to see for bs=16000: 20000 files and 16000 blocks.
For bs=17000: 20000 files and 17000 blocks.
For bs=18000: 20000 files and 18000 blocks.

Additional info:
Comment 1 Thomas Woerner 2004-04-08 09:46:32 EDT
Fixed in rawhide in rpm e2fsprogs-1.35-7 or nerwer.

Note You need to log in before you can comment on or make changes to this bug.